# cv::GoodFeaturesToTrackDetector::Params Class Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions

| Params (int maxCorners=1000, double qualityLevel=0.01, double minDistance=1., int blockSize=3, bool useHarrisDetector=false, double k=0.04)
void | read (const FileNode &fn)
void | write (FileStorage &fs) const

## Public Attributes

int | blockSize
double | k
int | maxCorners
double | minDistance
double | qualityLevel
bool | useHarrisDetector

## Constructor & Destructor Documentation

cv::GoodFeaturesToTrackDetector::Params::Params | ( | int | maxCorners = `1000`,
|  | double | qualityLevel = `0.01`,
|  | double | minDistance = `1.`,
|  | int | blockSize = `3`,
|  | bool | useHarrisDetector = `false`,
|  | double | k = `0.04`
| ) |  |

## Member Function Documentation

void cv::GoodFeaturesToTrackDetector::Params::read | ( | const FileNode & | fn ) |

void cv::GoodFeaturesToTrackDetector::Params::write | ( | FileStorage & | fs ) | const

## Member Data Documentation

int cv::GoodFeaturesToTrackDetector::Params::blockSize

double cv::GoodFeaturesToTrackDetector::Params::k

int cv::GoodFeaturesToTrackDetector::Params::maxCorners

double cv::GoodFeaturesToTrackDetector::Params::minDistance

double cv::GoodFeaturesToTrackDetector::Params::qualityLevel

bool cv::GoodFeaturesToTrackDetector::Params::useHarrisDetector

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines